<template>
  <div id="PageSigns">
    <!-- Breadcrumb -->
    <v-container>
      <v-row>
        <v-col cols="12" xs="12" sm="12" md="12">
          <BreadcrumbUtils :items_breadcrumbs_props="items_breadcrumbs" />
        </v-col>
      </v-row>
    </v-container>

    <!-- Title and Searche -->
    <v-container class="mb-5">
      <v-row>
        <v-col cols="12" xs="12" sm="12" md="8">
          <h1 class="title-h2-sistem family-lato-black warning--text">
            {{ $t("categories.signs") }}

            <v-btn
              icon
              color="info"
              @click="
                view_video_explanatory_page = !view_video_explanatory_page
              "
            >
              <v-icon>mdi-hand-clap</v-icon>
            </v-btn>
          </h1>
        </v-col>

        <v-col cols="12" xs="12" sm="12" md="4">
          <SearchInputUtils />
        </v-col>
      </v-row>
    </v-container>

    <!-- Card Explanatory Video -->
    <v-container v-if="view_video_explanatory_page" class="mb-10">
      <v-row>
        <v-col cols="12" xs="12" sm="12" md="12">
          <ExplanatoryVideoCard />
        </v-col>
      </v-row>
    </v-container>

    <!-- Number views and Order -->
    <v-container class="mb-7">
      <v-row>
        <v-col cols="12" xs="12" sm="12" md="8">
          <h2 class="body-1-sistem family-openSans-bold system_grey_1--text">
            {{
              $t("template.info_view", {
                count_1: "X",
                count_2: total,
              })
            }}

            {{ $tc("categories.singular_or_plural.signs", total) }}
          </h2>
        </v-col>

        <v-col cols="12" xs="12" sm="12" md="4">
          <div class="d-flex align-center justify-end order-page-index">
            <span
              class="caption-system mr-2 family-openSans-semi-bold text-uppercase system_grey_2--text"
            >
              <v-icon>mdi-cancel</v-icon>
              {{ $t("template.order_by") }}
            </span>

            <v-select
              disabled
              item-text="name"
              dense
              rounded
              hide-details
              item-value="filterBackend"
              :return-object="false"
              outlined
              style="max-width: 200px"
            >
              <template v-slot:label>
                <span
                  class="body-2-sistem family-openSans-semi-bold grey--text"
                >
                  {{ $t("template.order_by_options.last") }}
                </span>
              </template>
            </v-select>
          </div>
        </v-col>
      </v-row>
    </v-container>

    <!-- Table -->
    <v-container>
      <v-card flat class="rounded-lg">
        <v-card-text>
          <SignTable
            v-if="signs.itens"
            :loading_props="signs.loading"
            :itens_props="signs.itens"
            :page_props="paginate.current_page"
            :items_per_page_props="paginate.items_per_page"
          />
        </v-card-text>
      </v-card>
    </v-container>

    <!--Add-->
    <v-btn
      color="warning"
      dark
      fixed
      right
      fab
      class="floating-button"
      :to="localePath('/dashboard/signs/create', $nuxt._i18n.locale)"
      style="bottom: 20px"
    >
      <v-icon>mdi-plus</v-icon>
    </v-btn>
  </div>
</template>
<script>
import BreadcrumbUtils from "@/components/Breadcrumb/Global/BreadcrumbPortal.vue";
import ExplanatoryVideoCard from "@/components/Cards/Videos/ExplanatoryVideoCard.vue";
import SearchInputUtils from "@/components/Utils/Global/SearchInputUtils.vue";
import SignTable from "@/components/Table/Signs/SignTable.vue";

export default {
  layout: "dashboard",
  components: {
    BreadcrumbUtils,
    SearchInputUtils,
    ExplanatoryVideoCard,
    SignTable,
  },
  asyncData() {
    return {
      items_breadcrumbs: [
        {
          text: "template.dashboard",
          disabled: false,
          href: "/dashboard",
        },
        {
          text: "categories.signs",
          disabled: true,
          href: "/dashboard/signs",
        },
      ],
    };
  },

  data() {
    return {
      total: "X",
      view_video_explanatory_page: false,

      signs: {
        loading: false,
        itens: null,
      },

      paginate: {
        last_page: 0,
        current_page: 0,
        items_per_page: 0,
      },
    };
  },

  mounted() {
    this.getSigns();
  },

  methods: {
    getSigns() {
      this.signs.loading = true;

      this.$axios
        .$get("sinais")
        .then((res) => {
          this.signs.itens = res.data;

          this.paginate.last_page = 2;
          this.paginate.current_page = 1;
          this.paginate.items_per_page = 10;
        })
        .catch((error) => {
          console.log("error get signs", error);
        })
        .finally(() => {
          this.signs.loading = false;
        });
    },
  },
};
</script>
